## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global module_name vkbasalt

%global _description %{expand:
vkbasalt-cli is a CLI utility and library in conjunction with vkBasalt.
This makes generating configuration files or running vkBasalt with
games easier. This is mainly convenient in environments where
integrating vkBasalt is wishful, for example a GUI application.
Integrating vkbasalt-cli allows a front-end to easily generate and use
specific configurations on the fly, without asking the user to manually
write a configuration file.}

Name:           vkbasalt-cli
Version:        3.1.1

%global forgeurl https://gitlab.com/TheEvilSkeleton/vkbasalt-cli
%global tag v%{version}
%forgemeta

Release:        %{autorelease}
Summary:        Command line interface for vkBasalt
BuildArch:      noarch

# Code in vkbasalt/lib.py (library) is licensed under lgpl-3.0-only (see COPYING.LGPLv3)
# Code in vkbasalt/cli.py (main program) is licensed under gpl-3.0-only (see COPYING.GPLv3)
License:        LGPL-3.0-only AND GPL-3.0-only
URL:            %{forgeurl}
Source0:        %{forgesource}

BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%description -n %{name} %_description

Requires:       python3-{name} = %{?epoch:%{epoch}:}%{version}-%{release}

%package -n python3-%{name}
Summary:        %{summary}}
%py_provides    python3-%{name}
%py_provides    python3-%{module_name}
%description -n python3-%{name} %_description

%prep
%autosetup -p1 -n %{name}-%{tag}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{module_name}


%check
# Package does not provide any tests
%pyproject_check_import


%files -n %{name}
%{_bindir}/%{module_name}


%files -n python3-%{name} -f %{pyproject_files}
%doc README.md


%changelog
* Mon Apr 24 2023 Sandro <devel@penguinpee.nl> - 3.1.1-3
- Make main package dependent on subpackage

* Sat Apr 22 2023 Sandro <devel@penguinpee.nl> - 3.1.1-2
- Fix provides and files for subpackage

* Fri Apr 21 2023 Sandro <devel@penguinpee.nl> - 3.1.1-1
- Initial package
